Skip to main content
System Global Type/Long Job Operations

UpdateLongJob

UpdateLongJob

PUT/zstack/v1/longjobs/{uuid}/actions

Operation ID

UpdateLongJob

Since

3.9.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The resource name.

  • description
    String

    Optional. The detailed description of the resource.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    LongJobInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • apiId
      StringRequired

      The API ID used to associate with the task progress.

    • jobName
      StringRequired

      The job name.

    • jobData
      StringRequired

      The job data.

    • jobResult
      StringRequired

      The job result.

    • targetResourceUuid
      StringRequired

      The UUID of the target resource.

    • managementNodeUuid
      StringRequired

      The UUID of the management node.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • state
      LongJobStateRequired

      See state.

      • Waiting
        LongJobStateRequired

        The Waiting value.

      • Suspended
        LongJobStateRequired

        The Suspended value.

      • Running
        LongJobStateRequired

        The Running value.

      • Succeeded
        LongJobStateRequired

        The Succeeded value.

      • Canceling
        LongJobStateRequired

        The Canceling value.

      • Canceled
        LongJobStateRequired

        The Canceled value.

      • Failed
        LongJobStateRequired

        The Failed value.